HisendHISEND Docs

Edit plan

PATCH
/admin/plans/{id}

Requires a user JWT with the admin role.

Authorization

AdminJWT
AuthorizationBearer <token>

User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.

In: header

Path Parameters

id*integer
Range0 <= value

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.hisend.app/v1/admin/plans/0" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": 0,
  "max_domains": 0,
  "max_users": 0,
  "max_mails_per_day": 0,
  "max_mails_per_month": 0,
  "name": "string",
  "description": "string",
  "support_level": "string",
  "polar_product_id": "string",
  "created_at": "string",
  "updated_at": "string",
  "price": 0,
  "is_active": true
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}